Invite a workspace team member
curl --request POST \
--url https://api.example.com/api/v1/workspaces/{workspace}/team \
--header 'Content-Type: application/json' \
--cookie geo.session= \
--data '
{
"email": "jsmith@example.com",
"displayName": "<string>",
"role": "member"
}
'import requests
url = "https://api.example.com/api/v1/workspaces/{workspace}/team"
payload = {
"email": "jsmith@example.com",
"displayName": "<string>",
"role": "member"
}
headers = {
"cookie": "geo.session=",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {cookie: 'geo.session=', 'Content-Type': 'application/json'},
body: JSON.stringify({email: 'jsmith@example.com', displayName: '<string>', role: 'member'})
};
fetch('https://api.example.com/api/v1/workspaces/{workspace}/team', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"memberId": "<string>",
"workspace": "<string>",
"email": "jsmith@example.com",
"displayName": "<string>",
"invitedAt": "<string>",
"joinedAt": "<string>"
}API Reference
Invite a workspace team member
POST
/
api
/
v1
/
workspaces
/
{workspace}
/
team
Invite a workspace team member
Authorizations
Signed HttpOnly browser session cookie
Path Parameters
Pattern:
^[a-z0-9-]+$Body
application/json
Response
201 - application/json
Success
Minimum string length:
1Available options:
owner, admin, member, viewer Available options:
active, invited ⌘I